# arm_rfft_instance_f32 Struct Reference

CMSIS-DSP: arm_rfft_instance_f32 Struct Reference

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_rfft_instance_f32 Struct Reference

Instance structure for the floating-point RFFT/RIFFT function.

## Data Fields

uint32_t | fftLenReal
uint16_t | fftLenBy2
uint8_t | ifftFlagR
uint8_t | bitReverseFlagR
uint32_t | twidCoefRModifier
const float32_t * | pTwiddleAReal
const float32_t * | pTwiddleBReal
arm_cfft_radix4_instance_f32 * | pCfft

## Field Documentation

uint8_t bitReverseFlagR

flag that enables (bitReverseFlagR=1) or disables (bitReverseFlagR=0) bit reversal of output.

uint16_t fftLenBy2

length of the complex FFT.

uint32_t fftLenReal

length of the real FFT.

uint8_t ifftFlagR

flag that selects forward (ifftFlagR=0) or inverse (ifftFlagR=1) transform.

arm_cfft_radix4_instance_f32* pCfft

points to the complex FFT instance.

const float32_t* pTwiddleAReal

points to the real twiddle factor table.

const float32_t* pTwiddleBReal

points to the imag twiddle factor table.

uint32_t twidCoefRModifier

twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.